import { FormBuilderInstance } from '../FormBuilder.interface';

export interface FileWidgetProp {
    fileSizeBytesLimit?: number;
    fileSizeBytesLimitText?: (limit: number) => string;
    fileNumberLimit?: number;
    fileSizeBytesLimitErr?: string;
    fileNumberLimitText?: (limit: number) => string;
    fileNumberLimitErr?: string;
    fileRequiredErr?: string;
    empty?: string;
    uploadText?: string;
    uploadButton?: false | string;
    uploadFn?: (file: File, options: { progress: (percentage: number) => void; form: FormBuilderInstance }) => Promise<any>;
    mimeTypeLimit?: string[];
    mimeTypeLimitErr?: string;
    mimeTypeLimitText?: (limit: string[]) => string;
    autoUpload?: boolean;
    uploadOnExport?: boolean;
}
export interface FileWidgetExposed {
    upload: () => Promise<void>;
    clear: () => void;
}

export interface FileState {
    image?: string;
    progress?: number;
    error?: string;
}
